> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> Creates a new user in your Embedded account. The user record acts like a "container" to store all the integrations, workflows, and credentials for any given user. Returns a user identifier.




## OpenAPI

````yaml post /users
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create a user
      description: >
        Creates a new user in your Embedded account. The user record acts like a
        "container" to store all the integrations, workflows, and credentials
        for any given user. Returns a user identifier.
      operationId: create-a-user
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - username
              properties:
                fullName:
                  type: string
                  description: >
                    The name of the user you want to create. Typically a full
                    name.
                username:
                  type: string
                  description: >
                    The username to be associated with the user. To easily
                    identify a customer, we recommend using a friendly username
                    such as an email for example. The username must be unique
                    (this acts as an identifier to reference and lookup a given
                    merchant on your platform).
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    userId: 675987329f2bda83f0dff233
              schema:
                type: object
                properties:
                  userId:
                    type: string
                    example: xyz123abc098754
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````